package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.HealthCarePlan;
import com.lightinit.hsdatashow.entity.HealthCarePlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HealthCarePlanMapper {
    long countByExample(HealthCarePlanExample example);

    int deleteByExample(HealthCarePlanExample example);

    int deleteByPrimaryKey(Long id);

    int insert(HealthCarePlan record);

    int insertSelective(HealthCarePlan record);

    List<HealthCarePlan> selectByExample(HealthCarePlanExample example);

    HealthCarePlan selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") HealthCarePlan record, @Param("example") HealthCarePlanExample example);

    int updateByExample(@Param("record") HealthCarePlan record, @Param("example") HealthCarePlanExample example);

    int updateByPrimaryKeySelective(HealthCarePlan record);

    int updateByPrimaryKey(HealthCarePlan record);
}